%define version 0.6.10
%define release %mkrel 1

%define major 0
%define libname %mklibname assuan %{major}

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-shared.patch.bz2
Patch1:		libassuan-0.6.5-automake.patch.bz2
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRequires:	automake1.7 >= 1.7.6
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{libname}
Summary:	Assuan - an IPC library for non-persistent servers
Group:		System/Libraries

%description -n %{libname}
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{libname}-devel
Summary:	Header files for assuan library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Prereq:		/sbin/install-info

%description -n %{libname}-devel
Header files for assuan library.

%package -n %{libname}-static-devel
Summary:	Static assuan library
Group:		Development/C
Requires:	%{name}-devel = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{libname}-static-devel
Static assuan library.

%prep
%setup -q
%patch0 -p1 -b .shared
%patch1 -p1 -b .automake

%__libtoolize -c -f
AUTOMAKE=automake-1.7 ACLOCAL=aclocal-1.7 autoreconf --force

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/libassuan-config
%endif

%clean
rm -rf %{buildroot}

%postun -p /sbin/ldconfig -n %{libname}

%post -p /sbin/ldconfig -n %{libname}

%post -n %{libname}-devel
%_install_info assuan.info

%preun -n %{libname}-devel
%_remove_install_info assuan.info

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/libassuan-config
%endif
%{_bindir}/libassuan-config
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4
%{_infodir}/*.info*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.10-1mdk
- New release 0.6.10

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.9-1mdk 
- new release

* Fri Apr 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.8-2mdk
- fix deps and conditional %%multiarch
- fix requires-on-release

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.6.8-1mdk
- New release 0.6.8

* Wed Aug 18 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.6.6-1mdk
- New release 0.6.6

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.6.5-1mdk
- New version
- Drop old patch1, use autoreconf instead
- Patch1: No m4 dir in source, remove such reference in Makefile.am,
  otherwise autoreconf won't work

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- New version

* Fri Jan 23 2004 Abel Cheung <deaddog@deaddog.org> 0.6.1-2mdk
- Revert many stuff back
- Remove patch1 (info)
- New Patch1: fix configure script generated by autoconf > 2.57
- Add back info files
- Include file signature

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 0.6.1-1mdk
- 0.6.1
- (mistakenly overwritten Florin's package)

* Thu Nov 13 2003 Florin <florin@mandrakesoft.com> 0.6.0-1mdk
- first mdk release
